/*
 * Generated by the Jasper component of Apache Tomcat
 * Version: Apache Tomcat/7.0.70
 * Generated at: 2016-07-23 02:48:35 UTC
 * Note: The last modified time of this file was set to
 *       the last modified time of the source file after
 *       generation to assist with modification tracking.
 */
package org.apache.jsp;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import java.util.*;
import java.sql.*;
import javax.sql.*;

public final class NewFile_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent {

 public static void RandomizeInPlace(String[] arr) {
	    Random rgen = new Random();

	    for (int i = 0; i < arr.length; i++) {
	        int randPos = rgen.nextInt(arr.length);
	        String tmp = arr[i];
	        arr[i] = arr[randPos];
	        arr[randPos] = tmp;
	    }
	} 
	
	public ResultSet getResultSet()
	{
		ResultSet rs = null;
		try
		{
			Class.forName("com.mysql.jdbc.Driver");
			String username = "root";
			String password = "p@ssword";
			String url = "jdbc:mysql://localhost:3306/practice";
			
			Connection conn = DriverManager.getConnection(url, username, password);
	
			Statement stmt = conn.createStatement();
			rs = stmt.executeQuery("SELECT * FROM thesis ORDER BY RAND() LIMIT 1");
			return rs;
		}
		catch(Exception e)
		{
			System.out.println(e);
		}
		
		return rs;
		
		
	}
	
  private static final javax.servlet.jsp.JspFactory _jspxFactory =
          javax.servlet.jsp.JspFactory.getDefaultFactory();

  private static java.util.Map<java.lang.String,java.lang.Long> _jspx_dependants;

  private volatile javax.el.ExpressionFactory _el_expressionfactory;
  private volatile org.apache.tomcat.InstanceManager _jsp_instancemanager;

  public java.util.Map<java.lang.String,java.lang.Long> getDependants() {
    return _jspx_dependants;
  }

  public javax.el.ExpressionFactory _jsp_getExpressionFactory() {
    if (_el_expressionfactory == null) {
      synchronized (this) {
        if (_el_expressionfactory == null) {
          _el_expressionfactory = _jspxFactory.getJspApplicationContext(getServletConfig().getServletContext()).getExpressionFactory();
        }
      }
    }
    return _el_expressionfactory;
  }

  public org.apache.tomcat.InstanceManager _jsp_getInstanceManager() {
    if (_jsp_instancemanager == null) {
      synchronized (this) {
        if (_jsp_instancemanager == null) {
          _jsp_instancemanager = org.apache.jasper.runtime.InstanceManagerFactory.getInstanceManager(getServletConfig());
        }
      }
    }
    return _jsp_instancemanager;
  }

  public void _jspInit() {
  }

  public void _jspDestroy() {
  }

  public void _jspService(final javax.servlet.http.HttpServletRequest request, final javax.servlet.http.HttpServletResponse response)
        throws java.io.IOException, javax.servlet.ServletException {

    final javax.servlet.jsp.PageContext pageContext;
    javax.servlet.http.HttpSession session = null;
    final javax.servlet.ServletContext application;
    final javax.servlet.ServletConfig config;
    javax.servlet.jsp.JspWriter out = null;
    final java.lang.Object page = this;
    javax.servlet.jsp.JspWriter _jspx_out = null;
    javax.servlet.jsp.PageContext _jspx_page_context = null;


    try {
      response.setContentType("text/html; charset=ISO-8859-1");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\r\n");
      out.write("     \r\n");
      out.write(" \r\n");
      out.write("  \r\n");
      out.write("<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">\r\n");
      out.write("<html>\r\n");
      out.write("<head>\r\n");
      out.write("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=ISO-8859-1\">\r\n");
      out.write("<title>Insert title here</title>\r\n");
      out.write("<link type = \"text/css\" rel = \"stylesheet\" href = \"style.css\">\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("</head>\r\n");
      out.write("<body>\r\n");
      out.write("\r\n");
      out.write("                  ");
//start of jsp sciptlet
                  int total = 0;
                  while(total != 200){
					ResultSet rs = getResultSet();
					String[] choices = new String[3];
					String urlFromDb = "";
					String correctAnswer = "";
					Random generator = new Random(); 
					
					int score = 0;
					try{
						while(rs.next()){
							urlFromDb = rs.getString("url");
						choices = rs.getString("choices").split(",");
						correctAnswer =  rs.getString("correctAnswer");
						score = Integer.parseInt(rs.getString("Score"));
						}
					}catch(Exception e){
						e.printStackTrace();
					}

					RandomizeInPlace(choices);
					//end of jsp scriptlet	 
      out.write("\r\n");
      out.write("\t\t\t\t\t\r\n");
      out.write("\t\t\t\t\t\r\n");
      out.write("\t\t\t\t\t\r\n");
      out.write("\t\t\t\t<div class=  \"questions\">\r\n");
      out.write("\t\t\t\t\t<p><img src = \"");
      out.print(urlFromDb);
      out.write("\"></img></p>\r\n");
      out.write("\t\t\t\t\t<div class = \"inline\">\r\n");
      out.write("\t\t\t\t\t\r\n");
      out.write("\t\t\t\t\t<button type = \"submit\" class =\"button\" name = \"button\" onclick = \"checkAnswer(this)\"/>");
      out.print(choices[0]);
      out.write("</button>\r\n");
      out.write("\t\t\t\t\t<button type = \"submit\" class =\"button\" name = \"button\" onclick = \"checkAnswer(this)\"/>");
      out.print(choices[1]);
      out.write("</button>\r\n");
      out.write("\t\t\t\t\t<button type = \"submit\"  class =\"button\" name = \"button\" onclick = \"checkAnswer(this)\"/>");
      out.print(choices[2]);
      out.write("</button>\r\n");
      out.write("\t\t\t\t\t<button type = \"submit\" class =\"button\" name = \"button\" onclick = \"checkAnswer(this)\"/>");
      out.print(choices[3]);
      out.write("</button>\r\n");
      out.write("\t\t\t\t\t<script>\r\n");
      out.write("\t\t\t\t           function checkAnswer(x) \r\n");
      out.write("\t\t\t\t           {\r\n");
      out.write("\t\t\t\t        \t   if(x.innerHTML != ");
      out.print(correctAnswer);
      out.write("){\r\n");
      out.write("\t\t\t\t        \t\t   alert(\"WRONG\");\r\n");
      out.write("\t\t\t\t        \t\t   ");
 rs.close(); 
      out.write("\r\n");
      out.write("\t\t\t\t        \t   }\r\n");
      out.write("\t\t\t\t        \t   else{\r\n");
      out.write("\t\t\t\t        \t\t   alert(\"CORRECT\");\r\n");
      out.write("\t\t\t\t        \t\t   ");
 total = total +score;rs.close(); 
      out.write("\r\n");
      out.write("\t\t\t\t        \t\t   \r\n");
      out.write("\t\t\t\t        \t   }\r\n");
      out.write("\t\t\t\t             \r\n");
      out.write("\t\t\t\t           };\r\n");
      out.write("\t\t\t\t     </script>\r\n");
      out.write("\t\t\t\t\t</div>\r\n");
      out.write("\t\t\t\t</div>\r\n");
      out.write("\t\t\t\t\t\r\n");
      out.write("\t\t\t\t");

 				}
      out.write("  \r\n");
      out.write("\r\n");
      out.write("</body>\r\n");
      out.write("</html>\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\t\r\n");
      out.write("\t");
    } catch (java.lang.Throwable t) {
      if (!(t instanceof javax.servlet.jsp.SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          try {
            if (response.isCommitted()) {
              out.flush();
            } else {
              out.clearBuffer();
            }
          } catch (java.io.IOException e) {}
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
        else throw new ServletException(t);
      }
    } finally {
      _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }
}
